      subroutine sget_cwd(cwd)
      character*(*) cwd
C
C  get current working directory
C
      character*32 zdisk
      integer ilen,ilenc
C
      call showdefl(zdisk,ildisk,cwd,ilcwd)
      if(zdisk.ne.' ') then
         ilen=len_trim(zdisk)
         if(zdisk(ilen:ilen).ne.':') then
            ilen=ilen+1
            zdisk(ilen:ilen)=':'
         endif
         ilenc=len_trim(cwd)
         do i=min(len(cwd),ilenc+ilen),ilen+1,-1
            cwd(i:i)=cwd(i-ilen:i-ilen)
         enddo
         cwd(1:ilen)=zdisk(1:ilen)
      endif
C
      return
      end
